:root {
	--bs-blue: #0d6efd;
	--bs-indigo: #6610f2;
	--bs-purple: #6f42c1;
	--bs-pink: #d63384;
	--bs-red: #dc3545;
	--bs-orange: #fd7e14;
	--bs-yellow: #ffc107;
	--bs-green: #198754;
	--bs-teal: #20c997;
	--bs-cyan: #0dcaf0;
	--bs-white: #fff;
	--bs-gray: #6c757d;
	--bs-gray-dark: #343a40;
	--bs-gray-100: #f8f9fa;
	--bs-gray-200: #e9ecef;
	--bs-gray-300: #dee2e6;
	--bs-gray-400: #ced4da;
	--bs-gray-500: #adb5bd;
	--bs-gray-600: #6c757d;
	--bs-gray-700: #495057;
	--bs-gray-800: #343a40;
	--bs-gray-900: #212529;
	--bs-primary: #0d6efd;
	--bs-secondary: #6c757d;
	--bs-success: #198754;
	--bs-info: #0dcaf0;
	--bs-warning: #ffc107;
	--bs-danger: #dc3545;
	--bs-light: #f8f9fa;
	--bs-dark: #212529;
	--bs-primary-rgb: 13, 110, 253;
	--bs-secondary-rgb: 108, 117, 125;
	--bs-success-rgb: 25, 135, 84;
	--bs-info-rgb: 13, 202, 240;
	--bs-warning-rgb: 255, 193, 7;
	--bs-danger-rgb: 220, 53, 69;
	--bs-light-rgb: 248, 249, 250;
	--bs-dark-rgb: 33, 37, 41;
	--bs-white-rgb: 255, 255, 255;
	--bs-black-rgb: 0, 0, 0;
	--bs-body-color-rgb: 33, 37, 41;
	--bs-body-bg-rgb: 255, 255, 255;
	--bs-font-sans-serif: "Compact", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans",
		"Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
	--bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
	--bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
	--bs-body-font-family: var(--bs-font-sans-serif);
	--bs-body-font-size: 0.875rem;
	--bs-body-font-weight: 400;
	--bs-body-line-height: 1.5;
	--bs-body-color: #212529;
	--bs-body-bg: #fff;
	--main-black: #0a0c0d;
	--lighter-black: #2b2d2f;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

@media (prefers-reduced-motion: no-preference) {
	:root {
		scroll-behavior: smooth;
	}
}

@font-face {
	font-family: "Compact";
	font-weight: 400;
	src: url("../fonts/SF-Compact-Text-Regular.otf");
}

@font-face {
	font-family: "Compact";
	font-weight: 600;
	src: url("../fonts/SF-Compact-Text-Semibold.otf");
}

@font-face {
	font-family: "Dessert";
	font-weight: 700;
	src: url("../fonts/SVN-Dessert.ttf");
}

body {
	margin: 0;
	font-family: var(--bs-body-font-family);
	font-size: var(--bs-body-font-size);
	font-weight: var(--bs-body-font-weight);
	line-height: var(--bs-body-line-height);
	color: var(--bs-body-color);
	text-align: var(--bs-body-text-align);
	background-color: var(--bs-body-bg);
	-webkit-text-size-adjust: 100%;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	-webkit-overflow-scrolling: auto;
	position: relative;
}

.noselect {
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none; /* Safari */
	-khtml-user-select: none; /* Konqueror HTML */
	-moz-user-select: none; /* Old versions of Firefox */
	-ms-user-select: none; /* Internet Explorer/Edge */
	user-select: none; /* Non-prefixed version, currently
                            supported by Chrome, Edge, Opera and Firefox */
}

h6,
.h6,
h5,
.h5,
h4,
.h4,
h3,
.h3,
h2,
.h2,
h1,
.h1 {
	margin-top: 0;
	margin-bottom: 0.5rem;
	font-weight: 600;
	line-height: 1.3;
}

h1,
.h1 {
	font-size: calc(1.375rem + 1.5vw);
}
@media (min-width: 1200px) {
	h1,
	.h1 {
		font-size: 2.5rem;
	}
}

h2,
.h2 {
	font-size: calc(1.325rem + 0.9vw);
}
@media (min-width: 1200px) {
	h2,
	.h2 {
		font-size: 2rem;
	}
}

h3,
.h3 {
	font-size: calc(1.3rem + 0.6vw);
}
@media (min-width: 1200px) {
	h3,
	.h3 {
		font-size: 1.75rem;
	}
}

h4,
.h4 {
	font-size: calc(1.275rem + 0.3vw);
}
@media (min-width: 1200px) {
	h4,
	.h4 {
		font-size: 1.5rem;
	}
}

h5,
.h5 {
	font-size: 1.25rem;
}

h6,
.h6 {
	font-size: 1rem;
}

p {
	margin-top: 0;
	margin-bottom: 1rem;
}

input,
button,
select,
optgroup,
textarea {
	margin: 0;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}

a,
button {
	cursor: pointer;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
		box-shadow 0.15s ease-in-out;
}

.btn {
	display: inline-block;
	font-weight: 400;
	line-height: 1.5;
	color: #212529;
	text-align: center;
	text-decoration: none;
	vertical-align: middle;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	background-color: transparent;
	border: 1px solid transparent;
	padding: 0.375rem 0.75rem;
	font-size: 1rem;
	border-radius: 0.5rem;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
		box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.btn {
		transition: none;
	}
}

.btn-sm {
	padding: 0.25rem 0.5rem;
	font-size: 0.875rem;
	border-radius: 0.2rem;
}

.btn:hover {
	color: #212529;
}

.btn:focus {
	outline: 0;
}

.btn:disabled,
.btn.disabled,
fieldset:disabled .btn {
	pointer-events: none;
	opacity: 0.65;
}

.btn-primary {
	color: #fff;
	background-color: #0d6efd;
	border-color: #0d6efd;
}

.btn-primary:hover {
	color: #fff;
	background-color: #0b5ed7;
	border-color: #0a58ca;
}

.btn-primary:focus {
	color: #fff;
	background-color: #0b5ed7;
	border-color: #0a58ca;
	box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
}

.btn-primary:active,
.btn-primary.active {
	color: #fff;
	background-color: #0a58ca;
	border-color: #0a53be;
}

.btn-primary:active:focus,
.btn-primary.active:focus {
	box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
}

.btn-primary:disabled,
.btn-primary.disabled {
	color: #fff;
	background-color: #0d6efd;
	border-color: #0d6efd;
}

.btn-secondary {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
}
.btn-secondary:hover {
	color: #fff;
	background-color: #5c636a;
	border-color: #565e64;
}
.btn-secondary:focus {
	color: #fff;
	background-color: #5c636a;
	border-color: #565e64;
	box-shadow: 0 0 0 0.25rem rgba(130, 138, 145, 0.5);
}
.btn-secondary:active,
.btn-secondary.active {
	color: #fff;
	background-color: #565e64;
	border-color: #51585e;
}
.btn-secondary:active:focus,
.btn-secondary.active:focus {
	box-shadow: 0 0 0 0.25rem rgba(130, 138, 145, 0.5);
}
.btn-secondary:disabled,
.btn-secondary.disabled {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
}

.btn-warning {
	color: #000;
	background-color: var(--bs-warning);
	border-color: var(--bs-warning);
}

.btn-warning:hover {
	color: #000;
	background-color: #ffca2c;
	border-color: #ffc720;
}

.btn-warning:focus {
	color: #000;
	background-color: #ffca2c;
	border-color: #ffc720;
	box-shadow: 0 0 0 0.25rem rgba(217, 164, 6, 0.5);
}

.btn-warning:active,
.btn-warning.active {
	color: #000;
	background-color: #ffcd39;
	border-color: #ffc720;
}

.btn-warning:active:focus,
.btn-warning.active:focus {
	box-shadow: 0 0 0 0.25rem rgba(217, 164, 6, 0.5);
}

.btn-warning:disabled,
.btn-warning.disabled {
	color: #000;
	background-color: var(--bs-warning);
	border-color: var(--bs-warning);
}

.btn-danger {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
}

.btn-danger:hover {
	color: #fff;
	background-color: #bb2d3b;
	border-color: #b02a37;
}

.btn-check:focus + .btn-danger,
.btn-danger:focus {
	color: #fff;
	background-color: #bb2d3b;
	border-color: #b02a37;
	box-shadow: 0 0 0 0.25rem rgba(225, 83, 97, 0.5);
}

.btn-danger:active,
.btn-danger.active {
	color: #fff;
	background-color: #b02a37;
	border-color: #a52834;
}

.btn-danger:active:focus,
.btn-danger.active:focus {
	box-shadow: 0 0 0 0.25rem rgba(225, 83, 97, 0.5);
}

.btn-danger:disabled,
.btn-danger.disabled {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
}

.btn-dark {
	color: #fff;
	background-color: #2b2d2f;
	border-color: #2b2d2f;
}
.btn-dark:hover {
	color: #fff;
	background-color: #1c1f23;
	border-color: #1a1e21;
}
.btn-check:focus + .btn-dark,
.btn-dark:focus {
	color: #fff;
	background-color: #1c1f23;
	border-color: #1a1e21;
	box-shadow: 0 0 0 0.25rem rgba(66, 70, 73, 0.5);
}
.btn-dark:active,
.btn-dark.active {
	color: #fff;
	background-color: #1a1e21;
	border-color: #191c1f;
}
.btn-dark:active:focus,
.btn-dark.active:focus {
	box-shadow: 0 0 0 0.25rem rgba(66, 70, 73, 0.5);
}
.btn-dark:disabled,
.btn-dark.disabled {
	color: #fff;
	background-color: #2b2d2f;
	border-color: #2b2d2f;
}

.w-100 {
	width: 100% !important;
}

.img-fluid {
	max-width: 100%;
	height: auto;
}

img,
svg {
	vertical-align: middle;
}

.d-none {
	display: none !important;
}

.rounded {
	border-radius: 0.25rem !important;
}

.form-group {
	margin-bottom: 1rem;
}

.form-control {
	display: block;
	width: 100%;
	padding: 0.375rem 0.75rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
	color: #212529;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border-radius: 0.25rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.form-control {
		transition: none;
	}
}

.form-control[type="file"] {
	overflow: hidden;
}

.form-control[type="file"]:not(:disabled):not([readonly]) {
	cursor: pointer;
}

.form-control:focus {
	color: #212529;
	background-color: #fff;
	border-color: #86b7fe;
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.form-control::-webkit-date-and-time-value {
	height: 1.5em;
}

.form-control::-moz-placeholder {
	color: #6c757d;
	opacity: 1;
}

.form-control::placeholder {
	color: #6c757d;
	opacity: 1;
}

.form-control:disabled,
.form-control[readonly] {
	background-color: #e9ecef;
	opacity: 1;
}

.form-select {
	display: block;
	width: 100%;
	padding: 0.375rem 2.25rem 0.375rem 0.75rem;
	-moz-padding-start: calc(0.75rem - 3px);
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
	color: #212529;
	background-color: #fff;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right 0.75rem center;
	background-size: 16px 12px;
	border: 1px solid #ced4da;
	border-radius: 0.25rem;
	transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

@media (prefers-reduced-motion: reduce) {
	.form-select {
		transition: none;
	}
}

.form-select:focus {
	border-color: #86b7fe;
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.form-select[multiple],
.form-select[size]:not([size="1"]) {
	padding-right: 0.75rem;
	background-image: none;
}

.form-select:disabled {
	background-color: #e9ecef;
}

.form-select:-moz-focusring {
	color: transparent;
	text-shadow: 0 0 0 #212529;
}

.form-label {
	display: inline-block;
	margin-bottom: 0.375rem;
}

.text-center {
	text-align: center !important;
}

.nav {
	display: flex;
	flex-wrap: wrap;
	padding-left: 0;
	margin-bottom: 0;
	list-style: none;
}

.nav-link {
	display: block;
	padding: 0.5rem;
	color: #0d6efd;
	text-decoration: none;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
	.nav-link {
		transition: none;
	}
}

@media (max-width: 390px) {
	.nav-link {
		padding: 0.5rem 0.375rem;
		font-size: 0.75rem;
	}
}

.nav-link:hover,
.nav-link:focus {
	color: #0a58ca;
}

.nav-link.disabled {
	color: #6c757d;
	pointer-events: none;
	cursor: default;
}

.nav-tabs {
	/* border-bottom: 1px solid #dee2e6; */
}

.nav-tabs .nav-link {
	background: none;
	border: none;
}

.nav-tabs .nav-link:hover,
.nav-tabs .nav-link:focus {
	border-color: #e9ecef #e9ecef #dee2e6;
	isolation: isolate;
}

.nav-tabs .nav-link.disabled {
	color: #6c757d;
	background-color: transparent;
	border-color: transparent;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
	color: #495057;
	background-color: #fff;
	border-color: #dee2e6 #dee2e6 #fff;
}

.nav-tabs .dropdown-menu {
	margin-top: -1px;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.tab-content > .tab-pane {
	display: none;
}

.tab-content > .active {
	display: block;
	padding-top: 1rem;
}

.card {
	position: relative;
	display: flex;
	flex-direction: column;
	min-width: 0;
	word-wrap: break-word;
	background-color: #fff;
	background-clip: border-box;
	border: 1px solid rgba(0, 0, 0, 0.125);
	border-radius: 0.25rem;
}

.card-header {
	padding: 0.5rem 1rem;
	margin-bottom: 0;
	background-color: rgba(0, 0, 0, 0.03);
	border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}

.card-header:first-child {
	border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
}

.card-body {
	flex: 1 1 auto;
	padding: 1rem 1rem;
}

.modal-wrapper {
	opacity: 0;
	position: fixed;
	z-index: 1030;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(0, 0, 0, 0.75);
	transition: opacity 200ms ease, background-color 300ms ease;
}

.modal-wrapper.show {
	opacity: 1;
	width: 100%;
	height: 100%;
}

.inapp .modal {
	max-height: calc(100% - 2rem - 88px);
	bottom: 0;
}

.modal {
	opacity: 0;
	display: none;
	position: absolute;
	z-index: 1055;
	width: 500px;
	max-width: calc(100% - 2rem);
	max-height: calc(100% - 2rem);
	margin: auto;
	outline: none;
	transform: translateY(100vh);
	transition: opacity 200ms ease, transform 200ms ease-in-out;
}

.modal.large-modal {
	width: 100%;
	height: 100%;
}

.modal.animating {
	display: flex;
}

.modal.show {
	opacity: 1;
	display: flex;
	transform: translateY(0);
}

.modal.hiding {
	display: flex;
	transform: translateY(100vh);
}

.overtop-modal {
	transform: none !important;
}

.overtop-modal .overtop-modal-overlay {
	position: fixed;
	z-index: 0;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.75);
	transition: background-color 200ms ease;
}

.overtop-modal .modal-content {
	z-index: 1;
}

@media (max-width: 767px) {
	.modal {
		width: calc(100% - 2rem);
	}

	.modal.large-modal {
		max-width: 100%;
		bottom: 0;
	}
}

.modal-dialog {
	position: relative;
	z-index: 2;
	width: 100%;
}

@media (min-width: 768px) {
	.modal-dialog {
		max-width: 500px;
	}

	.large-modal .modal-dialog {
		height: 100%;
		max-width: 100%;
	}
}

.modal-content {
	position: relative;
	display: flex;
	flex-direction: column;
	width: 100%;
	max-height: 100%;
	pointer-events: auto;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 0.3rem;
	outline: 0;
}

.large-modal .modal-content {
	height: 100%;
}

.modal-header {
	display: flex;
	flex-shrink: 0;
	align-items: center;
	justify-content: space-between;
	padding: 0.75rem 1rem;
	border-bottom: 1px solid #dee2e6;
	border-top-left-radius: calc(0.3rem - 1px);
	border-top-right-radius: calc(0.3rem - 1px);
}

.modal-title {
	margin-bottom: 0;
	line-height: 1.5;
}

.btn-close {
	box-sizing: content-box;
	width: 1em;
	height: 1em;
	padding: 0.25em 0.25em;
	color: #000;
	background: transparent
		url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e")
		center/1em auto no-repeat;
	border: 0;
	border-radius: 0.25rem;
	opacity: 0.5;
}

.btn-close:hover {
	color: #000;
	text-decoration: none;
	opacity: 0.75;
}

.btn-close:focus {
	outline: 0;
	box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
	opacity: 1;
}

.btn-close:disabled,
.btn-close.disabled {
	pointer-events: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	opacity: 0.25;
}

.modal-header .btn-close {
	padding: 0.5rem 0.5rem;
	margin: -0.5rem -0.5rem -0.5rem auto;
}

.modal-body {
	position: relative;
	flex: 1 1 auto;
	padding: 1rem;
}

.modal-dialog-scrollable .modal-body {
	overflow-y: scroll;
	overflow-y: auto;
}

.modal-body p:last-child {
	margin-bottom: 0;
}

.modal-footer {
	display: flex;
	flex-wrap: wrap;
	flex-shrink: 0;
	align-items: center;
	justify-content: flex-start;
	padding: 0.75rem;
	border-top: 1px solid #dee2e6;
	border-bottom-right-radius: calc(0.3rem - 1px);
	border-bottom-left-radius: calc(0.3rem - 1px);
}
.modal-footer > * {
	margin: 0.25rem;
}

.vrtour-app {
	/* position: relative; */
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	/* height: 100vh; */
	overflow: hidden;
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: 100%;
	height: 100%;
}

.vrtour-logo {
	position: fixed;
	z-index: 1030;
	top: 0.5rem;
	right: 0.75rem;
	width: 160px;
	height: 50px;
	background-image: url("../images/header-logo.png");
	background-position: center right;
	background-repeat: no-repeat;
	background-size: contain;
}

.inapp .vrtour-logo {
	top: unset;
	bottom: 1rem;
	height: 38px;
	width: 96px;
}

.pano-tools {
	position: fixed;
	z-index: 1030;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	flex-direction: column;
	transition: bottom 500ms ease-in-out;
}

.pano-tools.hide-scene-list {
	bottom: -124px;
}

@media (max-width: 767px) {
	.pano-tools.hide-scene-list {
		bottom: -96px;
	}
}

.pano-tools-buttons {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	overflow-x: scroll;
	overflow-x: auto;
	overflow-y: hidden;
	padding: 0 0.75rem;
	margin-bottom: 0.75rem;
	-webkit-overflow-scrolling: touch;
}

.pano-tools-buttons .btn {
	position: relative;
	color: var(--bs-white);
	text-shadow: 0 1px 4px rgba(0, 0, 0, 0.5);
}

.pano-tools-buttons .btn.active {
	color: var(--main-black);
	background-color: var(--bs-warning);
	text-shadow: none;
}

.pano-tools-buttons .btn:not(:first-child) {
	margin-left: 0.5rem;
}

@media (min-width: 768px) {
	.pano-tools-buttons .btn:not(.active):hover {
		background-color: rgba(0, 0, 0, 0.25);
	}
}

.pano-tools-buttons .btn img {
	filter: invert(1) drop-shadow(0 1px 4px rgba(0, 0, 0, 0.5));
	width: auto;
	height: 18px;
	margin-right: 6px;
	vertical-align: text-bottom;
	transition: filter 0.15s ease-in-out;
}

.pano-tools-buttons .btn.active img {
	filter: invert(0) !important;
}

@media (max-width: 768px) {
	.pano-tools-buttons .btn {
		padding: 4px 12px 8px;
	}
	.pano-tools-buttons .btn img {
		margin-right: 0;
		vertical-align: middle;
	}
	.pano-tools-buttons .btn span {
		display: none;
	}
}

.btn-add-link-hotspot img {
	filter: invert(1);
}

.btn-scene-list-toggler {
	background-color: rgba(0, 0, 0, 0.75) !important;
}

.btn-scene-list-toggler img {
	margin-right: 0.5rem;
}

.scene-list-wrapper {
	position: relative;
}

.scene-list {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	overflow-x: scroll;
	overflow-x: auto;
	overflow-y: hidden;
	padding: 0.75rem;
	background-color: rgba(0, 0, 0, 0.45);
}

.scene-list-item {
	position: relative;
	cursor: pointer;
	flex: 0 0 128px;
	width: 128px;
	height: 100px;
	padding: 0.375rem 0.5rem 0.5rem;
	background-color: var(--bs-dark);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	border: 2px solid var(--bs-white);
	border-radius: 0.5rem;
	overflow: hidden;
	box-shadow: 0 2px 16px rgba(0, 0, 0, 0.05);
}

.scene-list-item::after {
	content: "";
	position: absolute;
	z-index: 0;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 0%, rgba(0, 0, 0, 0) 50%);
}

.scene-list-item:not(:first-child) {
	margin-left: 0.75rem;
}

.scene-list-item.active {
	border-color: var(--bs-warning);
}

.scene-list-item-name {
	position: relative;
	z-index: 1;
	color: #fff;
}

.scene-list-item.active .scene-list-item-heading .scene-list-item-name {
	color: var(--main-black) !important;
}

.scene-list-item-heading .btn {
	flex: 0 0 34px;
	width: 34px;
	box-shadow: none !important;
}

.scene-list-item-heading .btn img {
	height: 20px;
}

.scene-list-item .scene-list-item-heading .btn img {
	filter: invert(1);
}

.scene-list-item.active .scene-list-item-heading .btn img {
	filter: invert(0);
}

@media (max-width: 767px) {
	.scene-list-item {
		flex: 0 0 96px;
		width: 96px;
		height: 72px;
		padding: 0.25rem 0.5rem 0.5rem;
	}
}

.vr-viewer {
	position: relative;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	flex-grow: 1;
	/* height: 100vh; */
	background-color: var(--main-black);
}

.scene-title {
	position: fixed;
	z-index: 1030;
	top: 0;
	left: 0;
	height: 50px;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	padding: 0;
	background-color: rgba(0, 0, 0, 0.45);
}

.scene-title h1 {
	color: #fff;
	font-size: 1.25rem;
	font-weight: 400;
	margin: 0.75rem 1rem;
	max-width: calc(100vw - 250px);
}

@media (max-width: 767px) {
	.scene-title {
		position: relative;
		top: unset;
		left: unset;
		height: unset;
		background-color: transparent;
	}

	.scene-title h1 {
		max-width: 100%;
		font-size: 1rem;
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
		margin: 0 0.75rem;
		margin-bottom: 0.5rem;
		text-shadow: 0 1px 4px rgba(0, 0, 0, 0.5);
	}
}

.btn-scene-title-toggler {
	align-self: stretch;
	border: none;
	border-radius: 0;
	background-color: rgba(0, 0, 0, 0.45);
	padding: 0.375rem 0.5rem;
}

.btn-scene-title-toggler:hover,
.btn-scene-title-toggler:focus {
	background-color: rgba(0, 0, 0, 0.75);
}

.btn-scene-title-toggler img {
	filter: invert(1);
	height: 16px;
}

@media (max-width: 767px) {
	.btn-scene-title-toggler {
		display: none;
	}
}

.viewer {
	position: relative;
	flex-grow: 1;
	overflow: hidden;
	touch-action: manipulation;
	background-color: var(--bs-dark);
	transition: filter 350ms ease;
}

.viewer.pre-init::before {
	content: "Loading panoramas...";
	position: absolute;
	top: calc(50% - 12px);
	left: 0;
	right: 0;
	text-align: center;
	color: var(--bs-gray-500);
}

.viewer.not-found::before {
	content: "Invalid NFT Link Address";
	position: absolute;
	top: calc(50% - 12px);
	left: 0;
	right: 0;
	text-align: center;
	color: var(--bs-gray-500);
}

.stage-init {
	display: none;
	position: absolute;
	z-index: 1029;
	top: 0;
	/* bottom: 0; */
	left: 0;
	/* right: 0; */
	padding-top: calc(50vh - 12px);
	text-align: center;
	color: var(--bs-gray-500);
	background-color: var(--bs-dark);
	opacity: 0;
	transition: opacity 500ms ease;
}

.stage-init.show {
	display: block;
	bottom: 0;
	right: 0;
	opacity: 1;
}

.viewer canvas {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}

.hotspot-template {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
}

.hotspot-container {
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
}

.hotspot-container.hide {
	display: none;
}

.hotspot {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1020;
	touch-action: manipulation;
}

.hotspot.tools-visible {
	z-index: 1020;
}

.hotspot img {
	touch-action: manipulation;
	filter: drop-shadow(0 2px 8px rgba(0, 0, 0, 0.5));
}

.hotspot-wrapper {
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50px;
	height: 50px;
	position: relative;
	touch-action: manipulation;
	transform: translate(-50%, -50%);
	animation: fadeIn 200ms ease;
}

/* .link-hotspot .hotspot-wrapper {
	width: 200px;
	height: 50vh;
} */

.gift-hotspot .hotspot-wrapper {
	width: 70px;
	height: 70px;
	animation: giftFadeIn 200ms ease;
}

@keyframes fadeIn {
	0% {
		width: 0;
		height: 0;
		opacity: 0;
	}
	100% {
		width: 50px;
		height: 50px;
		opacity: 1;
	}
}

@keyframes giftFadeIn {
	0% {
		width: 0;
		height: 0;
		opacity: 0;
	}
	100% {
		width: 70px;
		height: 70px;
		opacity: 1;
	}
}

.link-hotspot.active {
	z-index: 1022;
}

.link-hotspot-icon {
	position: relative;
	width: 50px;
	height: 50px;
}

.link-hotspot-front {
	position: absolute;
	bottom: 54px;
	left: -22px;
	opacity: 0;
	width: 96px;
	height: 0;
	border-radius: 50%;
	background-color: var(--bs-dark);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	transition: opacity 200ms ease-in;
}

@media (min-width: 992px) {
	.link-hotspot-icon:hover .link-hotspot-front {
		opacity: 1;
		height: 96px;
		box-shadow: 0 0 0 2px var(--bs-white);
	}
}

.gift-hotspot-timer {
	position: absolute;
	z-index: 2;
	top: 40px;
	white-space: nowrap;
	font-weight: 700;
	text-align: center;
	color: #fff;
	background-color: rgba(0, 0, 0, 0.5);
	padding: 0 0.5rem;
	border-radius: 1rem;
}

.embed-hotspot {
	z-index: 1021;
	color: #fff;
	width: 0;
	height: 0;
}

.embed-content {
	cursor: pointer;
	touch-action: manipulation;
	position: relative;
	display: block;
	width: 100%;
	padding: 0;
	overflow: hidden;
	transform: translate3d(-50%, -50%, 0);
}

.embed-content.image {
	display: flex;
	justify-content: center;
	align-items: center;
}

.embed-content.image img {
	position: relative;
	z-index: 0;
	width: auto;
	height: 100%;
	transition: filter 200ms ease-in-out;
}

.embed-content.embed-content-img-fit img {
	width: auto !important;
	height: auto !important;
	max-width: 100% !important;
	max-height: 100% !important;
}

.embed-content.image img:hover {
	filter: drop-shadow(0 1px 16px rgba(255, 255, 255, 0.5));
}

.embed-content .embed-responsive-item,
.embed-content embed,
.embed-content iframe,
.embed-content object,
.embed-content video {
	position: absolute;
	z-index: 0;
	top: 0;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: 0;
	background-color: #000;
}

.embed-content-loading::before {
	content: "Loading media...";
	position: absolute;
	z-index: 1;
	top: calc(50% - 1rem);
	left: 0;
	right: 0;
	text-align: center;
	font-size: 2rem;
	line-height: 2rem;
}

.embed-content-loading.error::before {
	content: "Media can not be loaded!";
}

.embed-content-loading::after {
	content: "";
	position: absolute;
	z-index: 0;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: #000;
}

.embed-content-loading.image::after {
	background-color: transparent;
}

.embed-iframe-hotspot {
	z-index: 1021;
}

.embed-frame-view {
	position: absolute;
	z-index: 1;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: center;
	align-items: center;
}

.btn-embed-frame-view {
	width: 60px;
	height: 60px;
	border-radius: 50%;
	background-color: rgba(0, 0, 0, 0.75) !important;
}

.btn-embed-frame-view img {
	filter: invert(1) !important;
}

.hotspot-tools-wrapper {
	opacity: 0;
	display: none;
	position: absolute;
	top: 60px;
	left: calc(50% - 66px);
	width: 132px;
	height: 0;
	overflow: hidden;
	/* display: flex; */
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	padding: 4px;
	background-color: rgba(255, 255, 255, 0.75);
	border-radius: 18px;
	transition: all 200ms ease;
}

.hotspot.no-edit .hotspot-tools-wrapper {
	display: none !important;
}

.hotspot.tools-visible .hotspot-tools-wrapper {
	opacity: 1;
	display: flex;
	height: 36px;
}

.hotspot-tool {
	cursor: pointer;
	transition: transform 200ms ease, opacity 200ms ease, background-color 200ms ease;
	width: 28px;
	height: 28px;
	padding-top: 6px;
	text-align: center;
	border-radius: 50%;
	background-color: rgba(0, 0, 0, 0.95);
	box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.05);
}

.hotspot-tool:hover,
.hotspot-tool:focus {
	background-color: rgba(0, 0, 0, 0.5);
}

.hotspot-tool.link-hotspot-remove,
.hotspot-tool.gift-hotspot-remove {
	background-color: var(--bs-danger);
}

.hotspot-tool img {
	cursor: pointer;
	filter: invert(1);
	display: block;
	max-width: 100%;
	width: auto;
	height: 16px;
	margin: auto;
	transition: fill 200ms ease;
}

.hotspot-popup {
	opacity: 0;
	display: none;
	position: absolute;
	width: 300px;
	top: 100px;
	left: -120px;
	transition: opacity 200ms ease;
}

.hotspot.tools-visible .hotspot-popup.show {
	opacity: 1;
	display: block;
}

.hotspot-popup {
	border: none;
	font-size: 0.875rem;
	background-color: rgba(0, 0, 0, 0.5);
}

.hotspot-popup .card-header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	padding: 0.25rem 0.25rem;
	padding-left: 0.75rem;
	color: #fff;
	background-color: rgba(0, 0, 0, 0.95);
	border: none;
}

.hotspot-popup .card-header p {
	margin: 0;
}

.hotspot-popup .card-body {
	color: #fff;
	padding: 0;
	max-height: 300px;
	overflow-x: hidden;
	overflow-y: scroll;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
}

.hotspot-popup.hotspot-gift-image-selector .card-body {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	padding: 0.75rem;
	padding-bottom: 0;
}

.hotspot-popup.hotspot-gift-options .card-body {
	padding: 0.75rem;
}

.hotspot-popup .btn-close-hotspot-popup {
	padding: 0 0.25rem;
	line-height: 1;
	box-shadow: none !important;
	margin-left: 1rem;
}
.hotspot-popup .btn-close-hotspot-popup img {
	cursor: pointer;
	filter: invert(1);
	height: 16px;
}

.hotspot-popup .form-label {
	color: #fff;
}

.hotspot-popup .form-control,
.hotspot-popup .form-select {
	color: #fff;
	background-color: var(--lighter-black);
	border-color: var(--bs-gray-700);
	box-shadow: none;
}

.hotspot-popup .form-control:focus {
	color: inherit;
	background-color: #fff;
}
.hotspot-popup .form-select:focus {
	color: #fff;
	background-color: var(--lighter-black);
}

.hotspot-target-item {
	cursor: pointer;
	padding: 0.35rem 0.75rem;
	border-bottom: rgba(0, 0, 0, 0.05);
	color: rgba(255, 255, 255, 0.75);
	background-color: rgba(0, 0, 0, 0.5);
}

.hotspot-target-item:hover {
	background-color: rgba(0, 0, 0, 0.75);
}

.hotspot-target-item.active {
	color: #fff;
	background-color: var(--bs-primary);
}

.hotspot-image-item {
	width: 80px;
	height: 80px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 0.75rem;
	border: 1px solid rgba(255, 255, 255, 0.25);
	margin-bottom: 0.75rem;
}

.hotspot-image-item.active {
	border-color: var(--bs-warning);
}

.hotspot-image-item:not(:last-child) {
	margin-right: 0.75rem;
}

.hotspot-image-item img {
	cursor: pointer;
	width: auto;
	height: auto;
	max-width: 100%;
	max-height: 100%;
}

.gift-modal {
	position: fixed;
	z-index: 1055;
	opacity: 0;
	width: 288px;
	max-height: 100vh;
	display: none;
	flex-direction: column;
	overflow-x: hidden;
	overflow-y: scroll;
	overflow-y: auto;
	transition: opacity 200ms ease;
}

.gift-modal.show {
	opacity: 1;
	display: flex;
}

.gift-modal::before {
	content: "";
	position: fixed;
	z-index: 1;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.75);
	opacity: 0;
	transform: opacity 200ms ease;
}

.gift-modal.show::before {
	opacity: 1;
}

.gift-modal-header {
	position: relative;
	z-index: 2;
}

.gift-modal-header img {
	border-top-left-radius: 1rem;
	border-top-right-radius: 1rem;
}

.gift-modal-body {
	position: relative;
	z-index: 2;
	padding: 1.5rem;
	border-bottom-left-radius: 1rem;
	border-bottom-right-radius: 1rem;
	background-color: #fff;
}

.gift-modal-body h2 {
	font-size: 1.25rem;
}

.gift-modal-body h2:last-child,
.gift-modal-body p:last-child {
	margin-bottom: 0;
}

.btn-close-gift-modal {
	position: relative;
	z-index: 2;
	align-self: center;
	width: 48px;
	height: 48px;
	border-radius: 50%;
	padding-top: 4px;
	margin-top: 1rem;
	background-color: var(--bs-danger);
}

.btn-close-gift-modal img {
	filter: invert(1);
	height: 22px;
}

.debug-info {
	position: absolute;
	z-index: 1020;
	top: 60px;
	left: 0.75rem;
	right: 1rem;
}

.loading-wrapper {
	opacity: 0;
	position: fixed;
	z-index: 1030;
	top: 0;
	left: 0;
	width: 0;
	height: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(0, 0, 0, 0.75);
	transition: opacity 200ms ease;
}

.loading-wrapper.show {
	opacity: 1;
	width: 100vw;
	height: 100vh;
}

.loading-ripple {
	display: inline-block;
	position: relative;
	width: 80px;
	height: 80px;
}

.loading-ripple div {
	position: absolute;
	border: 4px solid var(--bs-warning);
	opacity: 1;
	border-radius: 50%;
	animation: loading-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.loading-ripple div:nth-child(2) {
	animation-delay: -0.5s;
}

@keyframes loading-ripple {
	0% {
		top: 36px;
		left: 36px;
		width: 0;
		height: 0;
		opacity: 1;
	}
	100% {
		top: 0px;
		left: 0px;
		width: 72px;
		height: 72px;
		opacity: 0;
	}
}

/* Event 2022 */
.avail-gift-counter {
	position: absolute;
	z-index: 2;
	top: 0;
	left: calc(100% - 0.5rem);
	font-size: 0.75rem;
	padding: 0 0.25rem;
	border-radius: 1rem;
	color: #fff;
	background-color: var(--bs-danger);
}

.pano-tools-buttons .btn .avail-gift-counter {
	display: inline;
}

.send-gift {
	transform: translateY(100vh);
	transition: transform 200ms ease;
	margin-bottom: 0.5rem;
}

.send-gift.show {
	transform: translateY(0);
}

.send-gift .btn img {
	width: auto;
	height: 18px;
	margin-right: 6px;
	vertical-align: text-bottom;
	transition: filter 0.15s ease-in-out;
}

.send-gift.gift-for-home .btn-send-gift {
	display: none;
}

.send-gift.gift-for-home .btn-save-gift {
	display: none;
}

.send-gift.gift-to-send .btn-create-gift {
	display: none;
}

.send-gift.gift-to-send .btn-save-gift {
	display: none;
}

.send-gift.save-gift .btn-send-gift {
	display: none;
}

.send-gift.save-gift .btn-create-gift {
	display: none;
}

.send-gift-modal {
	height: 100%;
	max-width: 100%;
	max-height: 100%;
}

.inapp .send-gift-modal {
	max-height: calc(100% - 88px - 48px - 12px);
	bottom: 0;
}

.send-gift-modal.animating {
	display: flex;
}

.send-gift-modal.show {
	transform: translateY(0);
}

@media (max-width: 767px) {
	.send-gift-modal {
		width: 100%;
	}
}

.send-gift-modal .modal-content {
	height: 100%;
	max-height: calc(100% - 1rem);
	margin-top: 1rem;
	color: #fff;
	background-color: var(--main-black);
}

.send-gift-modal .modal-header {
	color: var(--bs-body-color);
	background-color: #fff;
}

.send-gift-modal.refresh .modal-body::before {
	content: "";
	position: absolute;
	z-index: 1;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.75);
}

.send-gift-modal .modal-footer {
	border-top: none;
}

.send-gift-modal .nav-tabs {
	margin-left: -1rem;
	margin-right: -1rem;
	background-color: var(--lighter-black);
}

.send-gift-modal .nav-item {
	flex-grow: 1;
}

.send-gift-modal .nav-link {
	width: 100%;
	color: #fff;
}

.send-gift-modal .nav-link.active {
	color: var(--main-black);
	background-color: var(--bs-warning);
}

.gift-list-tools {
	margin-top: 1rem;
}

.gift-list-tools .btn:not(:first-child) {
	margin-left: 0.5rem;
}

#btn_refresh_gift_list {
	position: relative;
	z-index: 2;
}

.gift-list {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}

.gift-list-loading {
	display: none;
	text-align: center;
}

.send-gift-modal.loading .gift-list-loading {
	display: block;
}

.gift-list-item {
	flex: 0 0 30%;
	max-width: 30%;
	margin-right: 3.333333%;
	margin-bottom: 1rem;
	color: #fff;
	background-color: var(--lighter-black);
	border: 1px solid var(--lighter-black);
	border-radius: 0.24rem;
	overflow: hidden;
	padding: 0;
}

.gift-list-item-img {
	display: block;
	width: 100%;
	height: 103px;
	background-color: var(--main-black);
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
}

.gift-list-item-content {
	display: block;
	padding: 0.25rem;
	text-align: right;
}

.gift-list-item-name {
	display: block;
	font-weight: 700;
	text-align: left;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.gift-list-item-price {
	display: block;
	font-size: 10px;
	text-align: left;
	margin-bottom: 0.25rem;
}

.gift-list-item-receive-btn {
	font-size: 12px;
	padding: 0 0.5rem;
	border-radius: 1rem;
}

.gift-list-item-detail-modal .modal-dialog {
	position: relative;
	z-index: 2;
}

.gift-list-item-detail-modal .modal-content {
	color: #fff;
	background-color: var(--lighter-black);
}

.gift-list-item-detail-modal .modal-header {
	color: var(--bs-body-color);
	background-color: #fff;
}

.gift-list-item-detail-modal .modal-footer {
	border-top-style: dashed;
	border-top-color: rgba(255, 255, 255, 0.2);
	justify-content: center;
}

.gift-list-item-detail-img {
	display: block;
	width: 100%;
	max-width: 103px;
	height: auto;
	margin: auto;
	margin-bottom: 1rem;
	filter: drop-shadow(0 4px 16px rgba(0, 0, 0, 0.5));
}

.gift-list-item-detail-painting-modal .gift-list-item-detail-img {
	max-width: 100%;
}

.gift-list-item-detail-name {
	margin-bottom: 0.125rem;
}

.gift-list-item-detail-description {
	text-align: left;
}

.btn-gift-option-close {
	margin-left: auto;
}

.nyevent-qrcode-img {
	cursor: pointer;
	display: block;
	width: 100%;
	max-width: 200px;
	margin: auto;
	margin-bottom: 1rem;
}

.lucky-money-modal {
	background-color: rgba(220, 53, 69, 0.75);
}

.nyevent-gift-modal {
	transform: translateY(-100vh);
	transition: transform 300ms ease-out, opacity 200ms ease, display 0ms linear;
}

.nyevent-gift-modal.animating {
	display: flex;
}

.nyevent-gift-modal.show {
	transform: translateY(0);
}

.nyevent-lucky-money-modal .overtop-modal-overlay {
	background-color: rgba(220, 53, 69, 0.75);
}

.nyevent-gift-modal .modal-content {
	color: #fff;
	background-color: transparent;
	text-align: center;
	justify-content: center;
	align-items: center;
	border: none;
}

.nyevent-gift-modal .btn-close {
	background-color: var(--bs-light);
}

.nyevent-open-gift-img {
	cursor: pointer;
	display: block;
	width: 100%;
	max-width: 200px;
	margin: auto;
	margin-bottom: 1rem;
	/* filter: drop-shadow(4px 0 0 yellow) 
			drop-shadow(0 -4px 0 yellow) 
			drop-shadow(-4px 0 0 yellow) 
			drop-shadow(0 4px 0 yellow); */
}

.nyevent-lucky-money-modal .nyevent-lucky-money-wrapper {
	transform: rotateY(180deg);
	transition: transform 1000ms ease 150ms;
}

.nyevent-lucky-money-modal.show .nyevent-lucky-money-wrapper {
	transform: rotateY(0);
}

.nyevent-lucky-money-wrapper {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 250px;
	height: 400px;
	overflow: hidden;
	margin: auto;
	margin-bottom: 1rem;
	border-radius: 0.5rem;
	border: none !important;
	box-shadow: none !important;
	outline: none !important;
	filter: drop-shadow(0 2px 32px rgba(255, 193, 7, 0.1));
}

.nyevent-lucky-money-wrapper.flip {
	transform: rotateY(180deg) !important;
}

.nyevent-lucky-money-img {
	cursor: pointer;
	width: 100%;
	height: auto;
	opacity: 1;
	transition: opacity 200ms ease 350ms;
	border: none !important;
	box-shadow: none !important;
	outline: none !important;
}

div.nyevent-lucky-money-img {
	height: 400px;
}

.nyevent-lucky-money-front {
	z-index: 2;
}

.nyevent-lucky-money-wrapper.flip .nyevent-lucky-money-front {
	opacity: 0;
	z-index: 0;
}

.nyevent-lucky-money-back {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
	opacity: 0;
	transform: rotateY(180deg);
}

.nyevent-lucky-money-wrapper.flip .nyevent-lucky-money-back {
	opacity: 1;
}

.nyevent-lucky-money-back-img {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 0;
}

.nyevent-lucky-money-content {
	position: relative;
	z-index: 2;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	height: 100%;
	padding: 115px 1rem 110px;
}

.nyevent-lucky-money-content .lucky-money-note {
	font-family: "Dessert";
	font-weight: 700;
	font-size: 20px;
	text-align: center;
	color: var(--bs-danger);
}

.nyevent-lucky-money-content .lucky-money-text {
	color: var(--main-black);
	margin: 0;
}

.nyevent-lucky-money-content .lucky-money-text span {
	font-weight: 600;
}

#embedMediaClickPopupModalIFrame .modal-body {
	padding: 0;
}

.embed-click-popup-iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

.embed-click-popup-iframe iframe {
	width: 100%;
	height: 100%;
}

#embedMediaClickPopupModalContent .card-text {
	margin-bottom: 1rem;
}

.btn-image-holder {
	position: absolute !important;
	right: .5rem;
	bottom: 136px;
	padding: 0;
	overflow: hidden;
}

@media (max-width: 767px) {
	.btn-image-holder {
		bottom: 155px;
	}
}

.btn-image-holder img {
	max-width: 160px;
	width: calc(100vw - 300px) !important;
	height: auto !important;
	bottom: 0;
	filter: none !important;
	margin: 0 !important;
}

.viewer-backdrop {
    background-color: rgba(0,0,0,.85) !important;
}

/* TextHotspot 22/04/2023 */
.text-hotspot {
    z-index: 1022;
    color: #fff;
    width: 0;
    height: 0;
    transform-style: preserve-3d;
}

.text-hotspot .hotspot-wrapper {
    width: unset;
    height: unset;
    transform: translate3d(-50%, -50%, 0);
}

.text-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    padding: .5rem;
    overflow: hidden;
    background-color: rgba(13, 110, 253, 0.75);
	background: linear-gradient(89.83deg, rgba(39, 78, 225, 0.8) 0.15%, rgba(120, 75, 235, 0.7) 52.14%, rgba(147, 111, 239, 0.6) 96.13%);
	box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.25);
	border-radius: .5rem;
	backdrop-filter: blur(30px);
}

.text-content::before {
    content: '';
    position: absolute;
    z-index: 1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.text-preview {
    font-weight: 700;
	line-height: 1.5;
	text-align: center;
    margin: 0;
}

/* 17/05/2023 tuantb add ShopDoor Hotspot */
.shopdoor-hotspot {
    z-index: 997;
    color: #fff;
    width: 0;
    height: 0;
    transform-style: preserve-3d;
}

.shopdoor-hotspot .hotspot-wrapper {
    width: unset;
    height: unset;
    transform: translate3d(-50%, -50%, 0);
	animation: shopDoorFadeIn 200ms ease;
}

.shopdoor-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0;
    overflow: hidden;
    /* background-color: rgba(0,0,0,.5); */
}

.shopdoor-content::before {
    content: '';
    position: absolute;
    z-index: 1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.shopdoor-content.too-small::before {
    display: block !important;
}

.shopdoor-name-preview-icon {
    width: 20%;
    min-width: 100px;
    max-width: 200px;
    margin-bottom: .5rem;
}

.shopdoor-name-preview {
    font-weight: 700;
    margin: 0;
    white-space: nowrap;
}

@keyframes shopDoorFadeIn {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

.pdf-viewer {
	/* position: fixed;
	z-index: 999999999;
	top: 1rem;
	left: 1rem;
	width: calc(100vw - 2rem);
	height: calc(100vh - 2rem); */
	position: relative;
	width: 100%;
	height: 100%;
	background-color: #FFF;
}

.pdf-viewer canvas {
	position: absolute;
	z-index: 0;
	top: 0;
	bottom: 40px;
	left: 0;
	width: 100%;
	height: calc(100% - 40px);
}

.pdf-viewer-navigator {
	position: absolute;
	z-index: 1;
	bottom: 0;
	left: 0;
	right: 0;
	height: 40px;
	color: #FFF;
	background-color: #000;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}

/* 19/06/2023 tuantb add ShopDoor load */
.card {
	position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    color: var(--bs-body-color);
    word-wrap: break-word;
    background-color: #FFF;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, 0.175);
    border-radius: .5rem;
}

.card-body {
    flex: 1 1 auto;
    padding: 1rem;
    color: var(--bs-body-color);
}

#buildingContactInfoModal p a {
	text-decoration: none;
	font-weight: 700;
	color: inherit;
}

#buildingContactInfoModal .card {
	border: none;
	box-shadow: 0 2px 16px rgba(0, 0, 0, 0.1);
	font-size: 1rem;
}

/* 27/06/2023 tuantb add AdsFrame load */
.adsframe-hotspot {
    z-index: 997;
    color: #fff;
    width: 0;
    height: 0;
    transform-style: preserve-3d;
}

.adsframe-hotspot .hotspot-wrapper {
    width: unset;
    height: unset;
    transform: translate3d(-50%, -50%, 0);
}

.adsframe-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0;
    overflow: hidden;
    background-color: rgba(0,0,0,.5);
}

.adsframe-content::before {
    content: '';
    position: absolute;
    z-index: 1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.adsframe-content.too-small::before {
    display: block !important;
}

.adsframe-content.too-small::after {
    display: none !important;
}

.adsframe-name-preview-icon {
    width: 20%;
    min-width: 100px;
    max-width: 200px;
    margin-bottom: 1rem;
}

.adsframe-name-preview {
    font-weight: 700;
    margin: 0;
    white-space: nowrap;
}

.adsframe-content.image {
	display: flex;
	justify-content: center;
	align-items: center;
}

.adsframe-content.image img {
	position: relative;
	z-index: 0;
	width: 100%;
	height: 100%;
	transition: filter 200ms ease-in-out;
}

.adsframe-content.embed-content-img-fit img {
	width: auto !important;
	height: auto !important;
	max-width: 100% !important;
	max-height: 100% !important;
}

.adsframe-content.image img:hover {
	filter: drop-shadow(0 1px 16px rgba(255, 255, 255, 0.5));
}